/*
 * Copyright 2015 aquenos GmbH.
 * All rights reserved.
 * 
 * Please refer to the file NOTICE.txt in the root of the source distribution or
 * in the META-INF directory of the binary archive for licensing information.
 */

/**
 * <p>
 * Exceptions used by the Jackie library.
 * </p>
 * <p>
 * All exceptions that signal non-recoverable error conditions are derived from
 * {@link com.aquenos.epics.jackie.common.exception.JackieRuntimeException}.
 * The term non-recoverable applies to the scope of the respective component
 * only, meaning that a calling component might catch such an exception and
 * react accordingly (e.g. by closing a connection and trying to reestablish
 * it).
 * </p>
 * <p>
 * For some errors (including some exceptions), the library code might hand them
 * to an {@link com.aquenos.epics.jackie.common.exception.ErrorHandler} so that
 * user-defined code can deal with them (e.g. log them).
 * </p>
 */
package com.aquenos.epics.jackie.common.exception;

